#!/bin/sh

cpupower frequency-set --governor performance

echo 1 > /sys/devices/system/cpu/cpu1/online
echo 1 > /sys/devices/system/cpu/cpu2/online
echo 1 > /sys/devices/system/cpu/cpu3/online
echo 1 > /sys/devices/system/cpu/cpu4/online
echo 1 > /sys/devices/system/cpu/cpu5/online
echo 1 > /sys/devices/system/cpu/cpu6/online
echo 1 > /sys/devices/system/cpu/cpu7/online
echo 1 > /sys/devices/system/cpu/cpu8/online
echo 1 > /sys/devices/system/cpu/cpu9/online
echo 1 > /sys/devices/system/cpu/cpu10/online
echo 1 > /sys/devices/system/cpu/cpu11/online
echo 1 > /sys/devices/system/cpu/cpu12/online
echo 1 > /sys/devices/system/cpu/cpu13/online
echo 1 > /sys/devices/system/cpu/cpu14/online
echo 1 > /sys/devices/system/cpu/cpu15/online
echo 1 > /sys/devices/system/cpu/cpu16/online
echo 1 > /sys/devices/system/cpu/cpu17/online
echo 1 > /sys/devices/system/cpu/cpu18/online
echo 1 > /sys/devices/system/cpu/cpu19/online

echo 4600000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu1/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu2/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu3/cpufreq/scaling_max_freq
echo 4700000 > /sys/devices/system/cpu/cpu4/cpufreq/scaling_max_freq
echo 4700000 > /sys/devices/system/cpu/cpu5/cpufreq/scaling_max_freq
echo 4700000 > /sys/devices/system/cpu/cpu6/cpufreq/scaling_max_freq
echo 4700000 > /sys/devices/system/cpu/cpu7/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu8/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu9/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu10/cpufreq/scaling_max_freq
echo 4600000 > /sys/devices/system/cpu/cpu11/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu12/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu13/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu14/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu15/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu16/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu17/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu18/cpufreq/scaling_max_freq
echo 3500000 > /sys/devices/system/cpu/cpu19/cpufreq/scaling_max_freq
